Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue pr

GET/workspaces/{organizationId}/issues/{id}/pr
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

PR status

idstringrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
statusstringrequired
404

Issue not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/pr' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "prUrl": "string",
  "prState": "string",
  "prCheckState": "string",
  "status": "string"
}

Was this page helpful?